<?php 

$default = the_blogging_get_default_theme_options();

//$wp_customize->get_section('colors')->title = __( 'General settings' );

// Add Theme Options Panel.
$wp_customize->add_panel( 'theme_color_typo',
	array(
		'title'      => __( 'General Settings', 'the-blogging' ),
		'priority'   => 40,
		'capability' => 'edit_theme_options',
	)
);

// font Section.
$wp_customize->add_section( 'font_typo_section',
	array(
		'title'      => __( 'Fonts & Typography', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'theme_color_typo',
	)
);

// font Section.
$wp_customize->add_section( 'colors',
	array(
		'title'      => __( 'Color Options', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'theme_color_typo',
	)
);

// Setting - text_size_h1.
$wp_customize->add_setting( 'text_size_h1',
	array(
		'default'           => $default['text_size_h1'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'text_size_h1',
	array(
		'label'    => __( 'Single page/post Title', 'the-blogging' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 120,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

// Setting - medium_article_title.
$wp_customize->add_setting( 'medium_article_title',
	array(
		'default'           => $default['medium_article_title'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'medium_article_title',
	array(
		'label'    => __( 'Medium article title', 'the-blogging' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 125,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

// Setting - small_article_title.
$wp_customize->add_setting( 'small_article_title',
	array(
		'default'           => $default['small_article_title'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'small_article_title',
	array(
		'label'    => __( 'Small article title', 'the-blogging' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 130,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

// Setting - inner_banner_title_size.
$wp_customize->add_setting( 'inner_banner_title_size',
	array(
		'default'           => $default['inner_banner_title_size'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'inner_banner_title_size',
	array(
		'label'    => __( 'Inner Banner Title Size', 'the-blogging' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 135,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);


// Setting - text_size_p.
$wp_customize->add_setting( 'text_size_p',
	array(
		'default'           => $default['text_size_p'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'text_size_p',
	array(
		'label'    => __( 'Sitewide font size', 'the-blogging' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 140,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

