<?php
/**
 * slider section
 *
 * @package The Blogging
 */

$default = the_blogging_get_default_theme_options();
// Slider Main Section.
$wp_customize->add_section( 'slider_section_settings',
	array(
		'title'      => __( 'Banner Section Settings', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_banner_carousel_section.
$wp_customize->add_setting( 'show_banner_carousel_section',
	array(
		'default'           => $default['show_banner_carousel_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_banner_carousel_section',
	array(
		'label'    => __( 'Enable Banner Carousel', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);
/*number of carousel Slider*/
$wp_customize->add_setting( 'number_of_banner_carousel_section',
	array(
		'default'           => $default['number_of_banner_carousel_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_banner_carousel_section',
	array(
		'label'    => __( 'Number Of Banner carousel slider (max-10)', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'number',
		'priority' => 100,
		'input_attrs'     => array( 'min' => 1, 'max' => 10, 'style' => 'width: 150px;' ),

	)
);

$wp_customize->add_setting( 'select_category_for_banner_carousel',
	array(
		'default'           => $default['select_category_for_banner_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_banner_carousel',
	array(
        'label'           => __( 'Category for Banner carousel', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on Banner as carousel ', 'the-blogging' ),
        'section'         => 'slider_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 100,

    ) ) );
// Setting - show_slider_section.
$wp_customize->add_setting( 'show_slider_section',
	array(
		'default'           => $default['show_slider_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_slider_section',
	array(
		'label'    => __( 'Enable Main Slider Section', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);
// Setting - enable_slider_overlay.
$wp_customize->add_setting( 'enable_slider_overlay',
	array(
		'default'           => $default['enable_slider_overlay'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'enable_slider_overlay',
	array(
		'label'    => __( 'Enable Slider Overlay', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

// Add the layout setting.
$wp_customize->add_setting( 'slider_section_layout',
    array(
		'default'           => $default['slider_section_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'the_blogging_sanitize_select',
    )
);
$wp_customize->add_control( new The_Blogging_Radio_Image_Control( $wp_customize, 'slider_section_layout',
            array(
                'label'    => esc_html__( 'Slider Layout', 'the-blogging' ),
				'section'     => 'slider_section_settings',
				'priority' => 100,
                'choices'  => array(
                	'twp-slider-1' 				=> esc_url(get_template_directory_uri() . '/inc/customizer/images/slider-layout-1.png'),
                	'twp-slider-2' 			=> esc_url(get_template_directory_uri() . '/inc/customizer/images/slider-layout-2.png'),
                )
            )
        )
    );

/*No of Slider*/
$wp_customize->add_setting( 'number_of_home_slider',
	array(
		'default'           => $default['number_of_home_slider'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_select',
	)
);
$wp_customize->add_control( 'number_of_home_slider',
	array(
		'label'    => __( 'Select no of slider', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'choices'               => array(
		    '1' => __( '1', 'the-blogging' ),
		    '2' => __( '2', 'the-blogging' ),
		    '3' => __( '3', 'the-blogging' ),
		    '4' => __( '4', 'the-blogging' ),
		    '5' => __( '5', 'the-blogging' ),
		    '6' => __( '6', 'the-blogging' ),
		    '7' => __( '7', 'the-blogging' ),
		    '8' => __( '8', 'the-blogging' ),
		    ),
		'type'     => 'select',
		'priority' => 105,
	)
);

/*content excerpt in Slider*/
$wp_customize->add_setting( 'number_of_content_home_slider',
	array(
		'default'           => $default['number_of_content_home_slider'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_content_home_slider',
	array(
		'label'    => __( 'Select no words of slider', 'the-blogging' ),
        'description'     => __( 'you can set value [1] so that your content will not be displayed', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'number',
		'priority' => 110,
		'input_attrs'     => array( 'min' => 0, 'max' => 200, 'style' => 'width: 150px;' ),

	)
);

// Setting - drop down category for slider.
$wp_customize->add_setting( 'select_category_for_slider',
	array(
		'default'           => $default['select_category_for_slider'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_slider',
	array(
        'label'           => __( 'Category for slider', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on slider ', 'the-blogging' ),
        'section'         => 'slider_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,

    ) ) );

// Setting - drop down category for slider.
$wp_customize->add_setting( 'select_category_for_post_below_slider',
	array(
		'default'           => $default['select_category_for_post_below_slider'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_post_below_slider',
	array(
        'label'           => __( 'Category for Post Below Slider', 'the-blogging' ),
        'section'         => 'slider_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,
		'active_callback' => 'the_blogging_is_select_slider_layout_1',

    ) ) );


// Setting - banner_background_color.
$wp_customize->add_setting( 'banner_background_color',
	array(
		'default'           => $default['banner_background_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,'banner_background_color',
	array(
		'label'    => __( 'Banner/Slider Background Color', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'color',
		'priority' => 170,
		'active_callback' => 'the_blogging_is_select_slider_layout_1',
	)
));


// Setting - banner_text_color.
$wp_customize->add_setting( 'banner_text_color',
	array(
		'default'           => $default['banner_text_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'banner_text_color',
	array(
		'label'    => __( 'Banner/Slider Text Color', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'color',
		'priority' => 170,
		'active_callback' => 'the_blogging_is_select_slider_layout_1',
	)
));

/*settings for Section property*/
/*Button Text*/
$wp_customize->add_setting( 'button_text_on_slider',
	array(
		'default'           => $default['button_text_on_slider'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'button_text_on_slider',
	array(
		'label'    => __( 'Button Text', 'the-blogging' ),
		'description'     => __( 'Removing text will disable button on the slider', 'the-blogging' ),
		'section'  => 'slider_section_settings',
		'type'     => 'text',
		'priority' => 170,
		'active_callback' => 'the_blogging_is_select_slider_layout_2',
		
	)
);

